package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;

public interface IDirectMessageForm {
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    long getDirectMessageId();
    void setDirectMessageId(long directMessageId);
    boolean isSent();
    void setSent(boolean sent);
    String getSource();
    void setSource(String source);
    boolean isSpecified();
    void setSpecified(boolean specified);
    String getText();
    void setText(String text);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    long getUserId();
    void setUserId(long userId);
    String getUser();
    void setUser(String user);
}
